FastAPI 0.95.0 upgrade – problem with pydantic unions

FastAPI 0.95.0 came with a great enhancement: support for dependencies and parameters using¬†Annotated. But more about this I’ll wrote in a separate blog post. While updating my project dependency and changing FastAPI version from 0.94.1 to 0.95.0 I encountered a problem connected with a regression (?) that was introduced with above enhancement and adding support …